import request from '@/utils/request'

// 查询应急安全监督-其他处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmEmergencyOtherPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询应急安全监督-其他处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmEmergencyOtherPenalty/' + id,
        method: 'get'
    })
}

// 新增应急安全监督-其他处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmEmergencyOtherPenalty',
        method: 'post',
        data: data
    })
}

// 修改应急安全监督-其他处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmEmergencyOtherPenalty',
        method: 'put',
        data: data
    })
}

// 删除应急安全监督-其他处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmEmergencyOtherPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmEmergencyOtherPenalty/delete',ids)
}